﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Library.Model.Items
{
	public class Book : Item
	{
		private string _isbn;
		
		public string ISBN
		{
			get { return _isbn; }
			set { _isbn = value; }
		}

		public List<BrokenBusinessRule> GetBrokenRules()
		{
			List<BrokenBusinessRule> brokenRules = base.GetBrokenRules();

			if (string.IsNullOrEmpty(ISBN))
				brokenRules.Add(new BrokenBusinessRule("ISBN", "You must enter a valid ISBN for this item."));
			return brokenRules;
		}
	}
}
