﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Library.Model.Users;
using Library.Model.Items;

namespace Library.Model.SavedItems
{
	public class SavedItem
	{
		private int _userId;
		private int _itemId;
		private User _user;
		private Item _item;
		private DateTime _dateAdded;

		public int UserId
		{
			get { return _userId; }
			set { _userId = value; }
		}

		public int ItemId
		{
			get { return _itemId; }
			set { _itemId = value; }
		}

		public virtual User User
		{
			get { return _user; }
			set { _user = value; }
		}

		public virtual Item Item
		{
			get { return _item; }
			set { _item = value; }
		}

		public DateTime DateAdded
		{
			get { return _dateAdded; }
			set { _dateAdded = value; }
		}

		public List<BrokenBusinessRule> GetBrokenRules()
		{
			List<BrokenBusinessRule> brokenRules = new List<BrokenBusinessRule>();

			//if (Items.Count == 0) {
			//	brokenRules.Add(new BrokenBusinessRule("Items", "A basket must have at least one item"));
			//} else {
			//	foreach (Item item in Items) {
			//		if (item.GetBrokenRules().Count > 0) {
			//			AddToBrokenRulesList(brokenRules, item.GetBrokenRules());
			//		}
			//	}
			//}
			return brokenRules;
		}
		
		private void AddToBrokenRulesList(List<BrokenBusinessRule> currentBrokenRules, List<BrokenBusinessRule> brokenRulesToAdd)
		{
			foreach (BrokenBusinessRule br in brokenRulesToAdd) {
				currentBrokenRules.Add(br);
			}
		}
	}
}
