﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Library.Model.Items;
using Library.Model.Loans;

namespace Library.Model.ItemCopies
{
	public class ItemCopy
	{
		private int _itemCopyId;
		private string _barcode;
		private string _tag;
		private string _condition;
		private DateTime _dateOfRecord;
		private bool _isReferenceUseOnly;
		private bool _isAvailable;
		private Item _item;

		public int ItemCopyId
		{
			 get { return _itemCopyId; }
			 set { _itemCopyId = value; }
		}

		public string Barcode
		{
			get { return _barcode; }
			set { _barcode = value; }
		}

		public string Tag
		{
			get { return _tag; }
			set { _tag = value; }
		}

		public string Condition
		{
			get { return _condition; }
			set { _condition = value; }
		}

		public bool IsReferenceUseOnly
		{
			get { return _isReferenceUseOnly; }
			set { _isReferenceUseOnly = value; }
		}

		public bool IsAvailable
		{
			get { return _isAvailable; }
			set { _isAvailable = value; }
		}

		public DateTime DateOfRecord
		{
			get { return _dateOfRecord; }
			set { _dateOfRecord = value; }
		}

		public virtual Item Item
		{
			get { return _item; }
			set { _item = value; }
		}

		public List<BrokenBusinessRule> GetBrokenRules()
		{
			List<BrokenBusinessRule> brokenRules = new List<BrokenBusinessRule>();

			return brokenRules;
		}

	}
}
