﻿using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Library.Model.Authors;

namespace Library.Repository.EF.MappingFiles
{
	class AuthorMap : EntityTypeConfiguration<Author>
	{
		public AuthorMap()
		{
			this.HasMany(a => a.Items).WithMany(i => i.Authors).Map(mc =>
			{
				mc.MapLeftKey("AuthorId");
				mc.MapRightKey("ItemId");
				mc.ToTable("AuthorItem");
			});
		}
	}
}
